@font-face {
    font-family: "Gotham-Medium";
    src: url("fonts/Gotham-Medium.otf") format("opentype");
    font-weight: 500;
    font-style: normal;
}

* {
    -webkit-font-smoothing: antialiased;
    box-sizing: border-box;
}

.message-frame {
    display: flex;
    flex-direction: column;
    width: 398px;
    height: 92px;
    align-items: center;
    justify-content: center;
    gap: 10px;
    padding: 14px 17px;
    position: fixed;
    bottom: -100px; /* Исходная позиция - скрыто внизу */
    left: 50%;
    transform: translateX(-50%);
    background-color: #131313c5;
    border-radius: 8.31px;
    overflow: hidden;
    opacity: 0; /* Исходная прозрачность */
    
    /* Плавные переходы для bottom и opacity */
    transition: bottom 0.4s ease-out, opacity 0.4s ease-out;
}

.message-frame .message-div {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 37px;
    position: relative;
    align-self: stretch;
    width: 100%;
    flex: 0 0 auto;
}

.message-frame .message-text-wrapper {
    position: relative;
    width: 255px;
    height: 30px;
    font-family: "Gotham-Medium", Helvetica, sans-serif;
    font-weight: 500;
    color: #ffffff;
    font-size: 22px;
    text-align: center;
    letter-spacing: 0;
    line-height: normal;
}

.message-frame .message-overlap-group-wrapper {
    position: relative;
    width: 56px;
    height: 56px;
}

.message-frame .message-overlap-group {
    position: relative;
    width: 56px;
    height: 56px;
    border-radius: 8px;
}

.message-frame .message-rectangle {
    position: absolute;
    width: 56px;
    height: 56px;
    top: 0;
    left: 0;
    border-radius: 8px;
    transform: rotate(-180deg);
    background: linear-gradient(
        223deg,
        rgba(255, 185, 55, 1) 0%,
        rgba(254, 209, 121, 1) 100%
    );
}

.message-frame .message-text-wrapper-key {
    position: absolute;
    top: 14px;
    left: 20px;
    font-family: "Gotham-Medium", Helvetica, sans-serif;
    font-weight: 500;
    color: #131313;
    font-size: 22px;
    text-align: center;
    letter-spacing: 0;
    line-height: normal;
    white-space: nowrap;
}